Subject: Re: bug#22655: grep-2.21 (and git master): --null-data and ranges work in an odd way (-P works fine)

From: Jim Meyering <[email-masked]>
Date: Sun, 21 Feb 2016 07:36:27 -0800

On Sun, Feb 21, 2016 at 2:46 AM, Ulrich Mueller <[email-masked]> wrote:
>>>>>> On Sat, 20 Feb 2016, Jim Meyering wrote:
>
>> I have fixed the regex-oriented problem with the attached patch [...]
>
> I confirm that this patch (applied to sys-apps/grep-2.23 in Gentoo)
> fixes the problem for me.

Thanks for checking.
I reread the patch I pushed and was dismayed to see I'd left
in a debugging statement.  This additional patch removes
the offending line (harmless unless you have a writable
directory named /t):
From 36e0587a3cdeea24365168f96187b937739f2bd3 Mon Sep 17 00:00:00 2001
From: Jim Meyering <[email-masked]>
Date: Sun, 21 Feb 2016 07:33:38 -0800
Subject: [PATCH] tests: test cleanup

* tests/z-anchor-newline: Remove test artifact that would write
to /t/x.
---
 tests/z-anchor-newline | 1 -
 1 file changed, 1 deletion(-)

diff --git a/tests/z-anchor-newline b/tests/z-anchor-newline
index b4dfebc..c12dd1e 100755
--- a/tests/z-anchor-newline
+++ b/tests/z-anchor-newline
@@ -27,7 +27,6 @@ printf 'a\nb\0' > in || framework_failure_

 fail=0

-env > /t/x
 # These three would all mistakenly match, because the [a-b] range
 # forced the non-DFA (regexp-using) code path.
 returns_ 1 grep -z '^[a-b]*$' in || fail=1
-- 
2.6.4